API referenceMessages
List Messages
Lists Project Messages. Omit `status` for Push history (excludes `draft` and archived Drafts). Pass `status=draft` for the Drafts list.
GET
Lists Project Messages. Omit status for Push history (excludes draft and archived Drafts). Pass status=draft for the Drafts list.
bearerAuthheader
AuthorizationBearer <API key>Project API key (cr_sk_...)
status?stringFilter by Message status. draft returns only non-archived Drafts. Other values never include drafts. Omit for Push history.
Value in
"draft""scheduled""preparing""processing""completed""failed""cancelled"limit?integerRange
1 <= value <= 100Default
50offset?integerRange
0 <= valueDefault
0Message list
application/json- response
messages?array<>total?integerlimit?integeroffset?integercurl -X GET 'https://api.comraid.io/messages'Example Response
{ "messages": [ {} ], "total": 0, "limit": 0, "offset": 0}